Eancheck(1)

NAME
eancheck - check digit validator for EAN, PLU and UPC barcode numbers

SYNOPSIS
eancheck [EAN code, PLU code or UPC prefixed with 0]

DESCRIPTION
eancheck takes a 13 digit EAN (European Article Number, aka a barcode number) or a 4 digit PLU code and runs some simple maths upon it to discover the "check digit". It then compares this against the last number of the inputted EAN to check whether that code; if they match, then the EAN/PLU is valid. If they do not, then the opposite applies.

BUGS
Right now UPC codes need to be prefixed with a zero (i.e turned into EAN codes) to be properly checked.

MAINTAINER
Joe Baldwin <joe@joe-baldwin.net>